#
# spec file for package python-celerymon
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-celerymon
Version:        1.0.3
Release:        2.5
Url:            http://github.com/ask/celerymon/
Summary:        Real-time monitoring of Celery workers
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/c/celerymon/celerymon-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-celery
Requires:       python-tornado
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
celerymon - Real-time monitoring of Celery workers

%prep
%setup -q -n celerymon-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README
%{_bindir}/celerymon
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Nov 23 2012 saschpe@suse.de
- Update to version 1.0.3:
  + Code cleanup.
- Changes from version 1.0.2:
  + :program:`celery mon` now the respects :option:`--pidfile` option
    (Issue #14).
- Changes from version 1.0.1:
  + Distribution did not include static files (Issue #17).
- Changes from version 1.0.0:
  + Adds a UI to the frontpage
- Changes from version 0.5.0:
  + Now supports Celery 3.x
* Wed Mar 21 2012 saschpe@gmx.de
- Initial version
